SAP BusinessObjects Enterprise XI 3.1 SP4 Released!

Microsoft Office 2010, mobile Web Intelligence, and more.

IMPORTANT: SAP BusinessObjects Enterprise XI 3.1 Service Pack 5 (SP5) was released on December 8, 2011. Be sure to review the SAP BusinessObjects Maintenance Schedule and its associated Forward Fit Plan to make sure that any Service Pack or Fix Pack contains the fixes you expect it to. Also keep in mind that some of the latest features in the SAP BusinessObjects Mobile BI app only work if the latest Fix Pack is applied to the server.

Today, SAP released SAP BusinessObjects Enterprise XI 3.1 Service Pack 4 (SP4). This service pack includes the Microsoft Office 2010 compatibility that was introduced in SAP BusinessObjects Enterprise XI 3.1 SP3 Fix Pack 3.4. For most customers, service packs are more palatable than fix packs, so the release of SP4 is really good news. Mobility fans should note that there is also a separate download for SAP BusinessObjects Mobile XI 3.1 Service Pack 4. Service Pack 4 is a prerequisite for the forthcoming release of BI Mobile for the Apple iPad, which was demonstrated at the recent SAP SAPPHIRE conference and is expected by the end of June 2011. As usual, there are separate SP4 downloads for apps such as Crystal Reports 2008, Lifecycle Manager, and Live Office. And as usual, expect multiple tries before getting a complete and uncorrupted download from the SAP Support Portal. As of this writing I did not see any new service packs for Xcelsius 2008 or Explorer XI 3.2 (currently on SP2).

As with any service pack, always review the release notes and deploy first to a non-critical sandbox (a virtual machine is really good for this) before upgrading a production environment. Remember that for most customers, development is really a production environment for developers. So find a non-critical sandbox. I’ll be doing the same over the next few days so I can articulate clear upgrade plans.

To all of the developers at SAP – thank you for getting this service pack out. We know you’ve been extremely busy (and stressed) getting BI4 ready for general availability (GA).

Service Pack 4 is available from the SAP Support Portal with a valid S-ID.

UPDATE: Thanks to my good friend and Diversified Semantic Layer host Eric Vallo (follow him on Twitter here) for pointing out the following link to SAP Knowledge Base article 1596293 (S-ID required). It’s one-stop-shopping for SP4 with links to other SP4-related knowledge base articles. And thanks to ASUG volunteer Tammy Powlas (follow her on Twitter here) for pointing out that release notes of all varieties can be found on the SAP Support Portal at http://service.sap.com/releasenotes (S-ID required).

Will your organization deploy SP4 and Web Intelligence on the Apple iPad? Or go straight to BI4? Share your thoughts in the comments section below.

Author: Dallas Marks

I am a business intelligence architect, author, and trainer. I help organizations harness the power of analytics, primarily with SAP BusinessObjects products. An active blogger, SAP Mentor and co-author of the SAP Press book SAP BusinessObjects Web Intelligence: The Comprehensive Guide, I prefer piano keyboards over computer keyboards when not blogging or tweeting about business intelligence.

32 thoughts on “SAP BusinessObjects Enterprise XI 3.1 SP4 Released!”

  1. I installed SPS4 (BOE and SAP IK) and everything went well. Direct download from service market place failed thrice and I used download manager to download the 1.8 GB file.

    I could not locate the mobileservices.war file in the install directory, I am not sure whether I need the mobile service installed for this or whether it is part of the BOE install now.

    Can’t wait to get the iPad app for BOE released!!!

    Thanks!

    Deepu

    1. That’s what I’ve been told- that SP4 is required to use BI Mobile on iPad with XI 3.1. I’m still working on getting everything working in the lab to be certain.

  2. Hi,

    For SAP Business object Mobile XI 3.1, do we need to separate license key or it will work with BOE license key.

    Thanks..

  3. Hi People

    I am trying install BO xi 3.1 with BO Mobile and client is IPad. Somebody know that is possible?

    1. Rajesh,

      On the SAP BusinessObjects Enteprrise XI 3.1 platform, Service Pack 4 (SP4) is required. I would assume the same is true for SAP BusinessObjects Edge Business Intelligence 3.1. Looks like SP4 for Edge became available in the SAP Service Marketplace on June 1, 2011. As always, consult with your SAP sales rep.

  4. Hi Dallas,
    I just want to understand your statement above. When you said “service pack includes the Microsoft Office 2010 compatibility”, are you saying that with XI3.1 SP4, you can have Webi Rich Client use xlsx file format as an external data source (and also export in xlsx format)? Thanks in advance.

    Anthony

  5. Hy all,

    I´m a BO Professional in Austria. I´m testing the connection from the SAP BI App on an IPad to connect to a SAP BO XI 3.1 SP4 environment. All step´s are done that the InfoView is running via the DMZ in the WWW but the IPad is not able to connect to the CMS. Every time I get the error “Your request is invalid (MOB 06009)” Can anyone help ??

    Thanks and nice greating from Vienna/Austria

  6. Can this fix pack be modified to allow the installer to select which folder to extract into? We have a customer that has their C drive with not enough space to extract. The file automatically extracts to a folder on this drive. I am thinking at this point I will have to extract on my computer, then create my own compressed file to upload.

  7. Hi Dallas,

    If SP4 is compatible to Ms Office 2010, does that mean that using webi we can export it to MS Excel 2010 as we are using MS office 10 and not in MS Excel compatible mode 97-2003?

    Thanks

  8. Thanks for your quick response and i thought so but for some strange reasons it still exports in compatible mode for MS Excel 97-2003….may i need to check with BO Server team…may be they need to do something on server…

    Thanks for your help

  9. Hi,
    My company is still on good old BO XI R2. I would want to try out Business Objects XI 3.1 sp4 Enterprise version or BO XI 4 enterprise version before I recommend it to my IT head. Can you please let me know how I can get hold of an evaluation version for this?

    Cheers,
    Akshay

  10. Hi Dallas Mark
    Could you please tell me where did you download the bussiness Object xi sp4.
    Appricate if if you tell me

    Thanks
    Mon

  11. Hi Dallas,

    We need some help with upgrade to SP4.

    We are on SAP BO Edge 3.1 SP3 and trying to upgrade it to SAP BO Edge 3.1 SP4
    in order to view webi reports in ipad.

    There are two files in SAP service market place for SP4,
    server component: EDGE31SRVR04_0-20006067.EXE,
    Client component: EDGE31CLNT04_0-20006067.EXE.

    Do we need both the files or only the server component to upgrade it SP4 from SP3?
    In which order we should apply the files?

    Thanks very much,
    Wij

    1. Wij,

      Thank you for writing but unfortunately I cannot provide technical support. Consider posting on the BusinessObjects Board or SAP Support Portal instead.

      Dallas

  12. Dallas,

    Similar issue. In the start of a BI4.1SP3 upgrade and they threw in BW7.4 needing to go first. So I needed to check to see if XI3.1SP5 would work with BW7.4. The IKSAP PAM doesn’t show BW 7.4 on the SP4 through SP6 documents, but does on the SP7. My indications are that XI3.1SP5 doesn’t support BW7.4

    My tests are confirming that as the Authentication is allowing us via App Server to see the roles authorized for mapping, but all login attempts bounce back to login screen because of the version.

    I would be curious to hear from anyone that did get XI3.1SP5 to work on BW7,4, or if my tests are accurate and it is not supported.

    Calvin S

    1. Calvin,

      Thanks for writing. XI 3.1 SP5 is over two years old, so I would not expect it to support BW 7.4. The PAM for XI 3.1 SP7 isn’t entirely clear that it supports BW 7.4 either. Since XI 3.1 only has 12 months of support left, I would recommend putting your weight behind BI 4.1.

      Dallas

      1. Dallas:

        To update: I was able to get it to connect to a 7.4 and authenticate. It probably isn’t supported 100%, but we have to use it as a stepping stone. They were trying to do a 7.3 and BI4.0 SP2 upgrade 2 years ago at the same time and ended up canceling BI40 just prior to SP4 (which would have fixed the issues).
        We were kicking off our 4.1SP3 project with a delivery of May (replatforming to Linux from Win2008) and now they threw 7.4sp04 in the mix. So I have to make sure it works for at least 5 mos. with XI31sp5 until I can get the 4.1 platforms delivered.

        Thanks for the advise. Been doing this since the SI6.5 days (’98) and evolved with the product. Seen some crazy projects, and they never seem to listen to experience on not doing upgrades to DW/BW and BI at the same time, but at lease staggering them by several months. Too many dependencies and cross-over to troubleshoot and isolate the problematic system area – DW/BW or BI.

        As I like to say, It’s not a bug, it’s a feature! Ha! Happy Holidays, my friend!

        Cal

Leave a Reply